# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
#
# The Original Code is BesserWisser version 2.0.
#
# The Initial Developer of the Original Code is European Environment
# Agency (EEA).  Portions created by Finsiel Romania are
# Copyright (C) European Environment Agency.  All
# Rights Reserved.
#
# Contributor(s):
# Soren Roug, EEA
# Miruna Badescu, Finsiel Romania

# Python imports

# Zope imports

# Product imports

# Product name
PRODUCT_NAME = 'Besser Wisser'

# Meta types
METATYPE_BESSER_WISSER = 'Besser Wisser'
METATYPE_EXPERT_CATEGORY = 'Expert Category'
METATYPE_EXPERT_QUESTION = 'Expert Question'
METATYPE_EXPERTS_FOLDER = 'Experts Folder'
METATYPE_EXPERT = 'Expert'

# Default values
BESSER_WISSER_DEFAULT_EMAIL_SERVER_PORT = 25
EXPERT_QUESTION_DEFAULT_PREFIX = 'Q'
EXPERTS_FOLDER_DEFAULT_ID = 'Experts'

# Permissions
PERMISSION_ADD_BESSER_WISSER = 'Add Besser Wisser'
PERMISSION_ADD_EXPERT_CATEGORY = 'Add Expert Category'

# Error messages
ERR_MSG_FIRSTNAME_REQUIRED = 'First name is required!'
ERR_MSG_LASTNAME_REQUIRED = 'Last name is required!'
ERR_MSG_EMAIL_REQUIRED = 'Email is required!'
ERR_MSG_EMAIL_EXISTS = 'There is an expert with this email. Pick another !'
ERR_MSG_PASSWORD_REQUIRED = 'Password is required!'
ERR_MSG_USERID_REQUIRED = 'User-id is required!'
ERR_MSG_USERID_EXISTS = 'An user with the specified user-id already exists!'
ERR_MSG_PASSWORDS_MUST_MATCH = 'Password and Confirm password must match!'
ERR_MSG_RETYPE_PASSWORDS = 'Please retype your password and your confirmation password!'

ERR_MSG_TITLE_REQUIRED = 'Please enter a title!'
ERR_MSG_NAME_REQUIRED = 'Please enter a name!'
ERR_MSG_VALIDEMAIL_REQUIRED = 'Please enter a valid email!'
ERR_MSG_EXPERTID_REQUIRED = 'Please enter an Expert ID!'
ERR_MSG_LANGUAGE_REQUIRED = 'Please enter a language!'
ERR_MSG_QUESTION_REQUIRED = 'Please enter a question!'

# Info messages
